# List Rune Etch Orders

You can use this endpoint to retrieve all the Runes Etch orders involving a specific `destinationAddress`&#x20;

&#x20;This is the Bitcoin address to which the minted runes should be allocated, as specified when you [created your Etch order ](/api/runes/etch-rune/create-rune-etch-order.md)

Rune Etch orders are identified bu their `orderType`

## GET /v1/runes-managed/orders

> Get orders summary by destination address.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/runes-managed/orders":{"get":{"tags":["Runes mint","Runes etch"],"description":"Get orders summary by destination address.","parameters":[{"schema":{"type":"string"},"in":"query","name":"destinationAddress","required":true,"description":"Bitcoin address to filter orders"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"orderId":{"type":"string"},"orderType":{"type":"string"},"state":{"type":"string"},"reason":{"type":"string"},"createdAt":{"type":"string"}},"required":["orderId","orderType","state","createdAt"]}}},"required":["items"]}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/api/runes/etch-rune/list-rune-etch-orders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
